Workflow Utilities Interleave Video
I-integrate
workflow-utilities/interleave-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/interleave-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/workflow-utilities/interleave-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/workflow-utilities/interleave-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/fil/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "workflow-utilities/interleave-video",
"input": {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}
}
Tawagin ang modelong Workflow Utilities Interleave Video (workflow-utilities/interleave-video) sa pamamagitan ng Doitong API. Dokumentasyon para sa mga agent: https://doitong.com/fil/developers/models/workflow-utilities/interleave-video.md
POST https://api.doitong.ru/v1/run/workflow-utilities/interleave-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}
Kung ang response status ay "queued" o "running", i-poll ang GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 hanggang maging "succeeded"; nasa outputs[].url ang mga file. Ang POST https://api.doitong.ru/v1/quote/workflow-utilities/interleave-video na may parehong body ay nagbabalik ng eksaktong presyo bago patakbuhin.
Hanggang $0.612 bawat pagtakbo sinisingil ayon sa aktuwal na paggamit, at nire-refund ang natitira Patakbuhin ito sa page na ito
Ang bago mong API key. Ipinapakita lang ito ngayon at nasa code at sa field ng API key sa ibaba na. Panatilihin itong sikreto: huwag kailanman ilagay sa code na tumatakbo sa browser.
Dito mapupunta ang iyong unang resulta
Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.
Bumuo ng kahilingan
Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.
/run/workflow-utilities/interleave-video?wait=20
presyo → $0.612
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/interleave-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/workflow-utilities/interleave-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/workflow-utilities/interleave-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "workflow-utilities/interleave-video",
"input": {
"videos": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
},
"wait_seconds": 20
}
}
}
Patakbuhin ang kahilingang ito
Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key
Tungkol sa Workflow Utilities Interleave Video
Tumatanggap ng listahan ng video URL at iniinterleave ang mga ito ayon sa ibinigay na pagkakasunod-sunod sa iisang video. Itakda ang `frames_per_second` (1 hanggang 120) para ayusin ang output frame rate: mas mababang value ay nagbibigay ng mas mahaba at mas mabagal na resulta, habang mas mataas na value ay mas maikli at mas mabilis. Kung hindi itinakda, pinapanatili ang source rate.
Mga parameter
Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan
video_urlskinakailangan
videos
frames_per_secondopsyonal
Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "workflow-utilities/interleave-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 612,
"usd": "0.612",
"charged": 612,
"refunded": 0
},
"input": {
"video_urls": [
"https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
]
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Mga field ng output
- video
- object {url, content_type, file_name, file_size}Video na ginawa sa pag-interleave ng mga input.
Iba pang variant ng Workflow Utilities
Higit pang modelo: Video patungong Video
Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/workflow-utilities/interleave-video.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt